### Function

# FwupdPlugin QuirksIter

#### Declaration

    void
    (* FuQuirksIter) (
      FuQuirks* self,
      const gchar* key,
      const gchar* value,
      FuContextQuirkSource source,
      gpointer user_data
    )

#### Description [src]

The quirks iteration callback.

#### Parameters

`self` | `FuQuirks`
| A `FuQuirks`.
| The data is owned by the caller of the function.
`key` | `const gchar*`
| A key.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`value` | `const gchar*`
| A value.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`source` | `FuContextQuirkSource`
| No description available.
`user_data` | `gpointer`
| User data.
| The argument can be `NULL`.
| The data is owned by the caller of the function.